package com.alibaba.druid.sql.parser;

import java.math.BigDecimal;
import java.sql.SQLException;
import java.util.Date;

public interface SQLInsertValueHandler {
   Object newRow() throws SQLException;

   void processInteger(Object var1, int var2, Number var3) throws SQLException;

   void processString(Object var1, int var2, String var3) throws SQLException;

   void processDate(Object var1, int var2, String var3) throws SQLException;

   void processDate(Object var1, int var2, Date var3) throws SQLException;

   void processTimestamp(Object var1, int var2, String var3) throws SQLException;

   void processTimestamp(Object var1, int var2, Date var3) throws SQLException;

   void processTime(Object var1, int var2, String var3) throws SQLException;

   void processDecimal(Object var1, int var2, BigDecimal var3) throws SQLException;

   void processBoolean(Object var1, int var2, boolean var3) throws SQLException;

   void processNull(Object var1, int var2) throws SQLException;

   void processFunction(Object var1, int var2, String var3, long var4, Object... var6) throws SQLException;

   void processRow(Object var1) throws SQLException;

   void processComplete() throws SQLException;
}
